/*
 * skinclassic.h: The 'classic' VDR skin
 *
 * See the main source file 'vdr.c' for copyright information and
 * how to reach the author.
 *
 * $Id: skinclassic.h 1.2 2005/01/02 14:38:56 kls Exp $
 */

#ifndef __SKINKLASSIC_H
#define __SKINKLASSIC_H

#include <vdr/skins.h>

class cSkinKlassic : public cSkin {
public:
  cSkinKlassic(void);
  virtual const char *Description(void);
  virtual cSkinDisplayChannel *DisplayChannel(bool WithInfo);
  virtual cSkinDisplayMenu *DisplayMenu(void);
  virtual cSkinDisplayReplay *DisplayReplay(bool ModeOnly);
  virtual cSkinDisplayVolume *DisplayVolume(void);
  virtual cSkinDisplayTracks *DisplayTracks(const char *Title, int NumTracks, const char * const *Tracks);
  virtual cSkinDisplayMessage *DisplayMessage(void);
  };

#endif //__SKINKLASSIC_H
